petsc-3.13.6 2020-09-29
Report Typos and Errors

# VecBindToCPU

marks a vector to temporarily stay on the CPU and perform computations on the CPU

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecBindToCPU(Vec v,PetscBool flg)

### Input Parameters

| v | - the vector
| flg | - bind to the CPU if value of PETSC_TRUE

### Level

intermediate

### Location

src/vec/vec/interface/vector.c

### Implementations

VecBindToCPU_MPICUDA in src/vec/vec/impls/mpi/mpicuda/mpicuda.cu
VecBindToCPU_SeqCUDA in src/vec/vec/impls/seq/seqcuda/veccuda.c
VecBindToCPU_SeqAIJViennaCL in src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages